Subject: Re: Where does ppc define __start___ksymtab?

From: Keith Owens <[email-masked]>
Date: Thu, 03 Aug 2000 21:40:45 +1000

On Wed, 2 Aug 2000 22:18:08 +0200 (CEST),
Geert Uytterhoeven <[email-masked]> wrote:
>On Tue, 1 Aug 2000, Keith Owens wrote:
>> Please cc: [email-masked] on replies, I am not on this list.
>>
>> I have been trying to find where ppc defines __start___ksymtab and
>> __stop___ksymtab symbols.
>
>I'm no gcc linkscript expert, but doesn't the absence of __ksymtab stuff in
>vmlinux.lds simply mean that gcc can put stuff for section __ksymtab wherever
>it wants in the final object file?

Placement was not the problem.  It was the "magic" definition of
__start___ksymtab and __stop___ksymtab that had me baffled.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/